Generate 3.0(Text-to-Image)
Method: POSTEndpoint: /ideogram/v1/ideogram-v3/generate
This section contains endpoint-specific behavior, parameters, or usage notes for this API. For full parameters, see the official documentation: https://developer.ideogram.ai/api-reference/api-reference/generate-v3
Returned image URLs remain valid for 24 hours. After that they can no longer be accessed. Reverse-proxied image
Request Parameters
Header Parameters
text
accept
string
Required
Example:
application/json
Authorization
string
Optional
Default Value:
Bearer {{YOUR_API_KEY}}Body Parameters multipart/form-data
text
prompt
string
Required
rendering_speed
string
Optional
character_reference_images
file
Optional
// provider-specific example normalized for English documentationExample Request
Shell
bash
curl --location --request POST '/ideogram/v1/ideogram-v3/generate' \
--header 'accept: application/json' \
--header 'Authorization: Bearer {{YOUR_API_KEY}}' \
--form 'prompt=""' \
--form 'rendering_speed=""' \
--form 'character_reference_images=@""'Response
🔴 500 Success
Content Type: application/json
Response Schema
text
code
string
Required
message
string
Required
data
null
RequiredExample
json
{
"created": "2000-01-23 04:56:07+00:00",
"data": [
{
"prompt": "A photo of a cat sleeping on a couch.",
"resolution": "1024x1024",
"is_image_safe": true,
"seed": 12345,
"url": "https://ideogram.ai/api/images/ephemeral/xtdZiqPwRxqY1Y7NExFmzB.png?exp=1743867804&sig=e13e12677633f646d8531a153d20e2d3698dca9ee7661ee5ba4f3b64e7ec3f89",
"style_type": "GENERAL"
}
]
}